"use strict";
function _extractFilterBySymbol(filter, symbol) {
    if (symbol.length) {
        return filter.substring(symbol.length);
    }
    else {
        return filter;
    }
}
function _extractFilterBySymbols(filter, symbolPatterns) {
    for (var _i = 0, symbolPatterns_1 = symbolPatterns; _i < symbolPatterns_1.length; _i++) {
        var symbolPattern = symbolPatterns_1[_i];
        var symbol = _getSymbol(filter, symbolPattern);
        if (symbol !== null) {
            return _extractFilterBySymbol(filter, symbol);
        }
    }
    return null;
}
function _getSymbol(filter, symbol) {
    var matches = symbol.exec(filter);
    symbol.lastIndex = 0;
    if (matches && (matches.length > 1)) {
        return matches[1];
    }
    return null;
}
function extractFilters(filters, symbolPatterns) {
    var extract = new Array();
    for (var _i = 0, filters_1 = filters; _i < filters_1.length; _i++) {
        var filter = filters_1[_i];
        var formattedFilter = _extractFilterBySymbols(filter, symbolPatterns);
        if (formattedFilter) {
            extract.push(formattedFilter);
        }
    }
    return extract;
}
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = extractFilters;
