export declare class JsonPropertyFilter {
    private static DEFAULT_INCLUDE_SYMBOL;
    private static EXCLUDE_SYMBOL;
    private static FILTER_SEPARATOR;
    private static INCLUDE_SYMBOL;
    private _excludeFilters;
    private _includeFilters;
    constructor(filters?: string | Array<string>, separator?: string, excludeSymbols?: Array<RegExp>, includeSymbols?: Array<RegExp>);
    excludeFilters: string[];
    includeFilters: string[];
    apply(source: Object | Array<Object>): Object | Array<Object>;
    setExcludeFilters(filters: string | Array<string>, separator?: string, symbols?: Array<RegExp>): void;
    setIncludeFilters(filters: string | Array<string>, separator?: string, symbols?: Array<RegExp>): void;
    private _applyInclude(source);
    private _applyExcludeFilters(source);
    private _assertFilters(filters);
    private _assertSeparator(separator?);
    private _formatProperties(properties, separator?);
}
